%?mingw_package_header

Name:           mingw-SDL_image
Version:        1.2.12
%define subrel  1
Release:        %mkrel 13
Summary:        MinGW Windows port of the Image loading library for SDL

License:        LGPLv2+
Group:          Development/Other
URL:            http://www.libsdl.org/projects/SDL_image/
Source0:        http://www.libsdl.org/projects/SDL_image/release/SDL_image-%{version}.tar.gz
Patch0:         CVE-2017-2887.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-SDL
BuildRequires:  mingw32-libpng
BuildRequires:  mingw32-libjpeg-turbo
BuildRequires:  mingw32-libtiff

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-SDL
BuildRequires:  mingw64-libpng
BuildRequires:  mingw64-libjpeg-turbo
BuildRequires:  mingw64-libtiff


%description
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.  This package contains a simple library for loading images of
various formats (BMP, TIF, JPEG, PNG) as SDL surfaces.


# Win32
%package -n mingw32-SDL_image
Summary:        MinGW Windows port of the Image loading library for SDL
Requires:       pkgconfig

%description -n mingw32-SDL_image
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.  This package contains a simple library for loading images of
various formats (BMP, TIF, JPEG, PNG) as SDL surfaces.

# Win64
%package -n mingw64-SDL_image
Summary:        MinGW Windows port of the Image loading library for SDL
Requires:       pkgconfig

%description -n mingw64-SDL_image
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.  This package contains a simple library for loading images of
various formats (BMP, TIF, JPEG, PNG) as SDL surfaces.


%?mingw_debug_package


%prep
%autosetup -p1 -n SDL_image-%{version}


%build
# the --disabled-*-shared lines below stops SDL_image from loading those
# libraries at link time. Instead they are loaded when needed.
%mingw_configure \
    --disable-jpg-shared \
    --disable-png-shared \
    --disable-tif-shared \
    --disable-static
#    --disable-dependency-tracking \

%mingw_make %{?smp_mflags}


%install
%mingw_make DESTDIR=$RPM_BUILD_ROOT install

# silence rpmlint:
iconv --from=ISO-8859-1 --to=UTF-8 CHANGES > CHANGES.new && \
touch -r CHANGES CHANGES.new && \
mv CHANGES.new CHANGES

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete


# Win32
%files -n mingw32-SDL_image
%doc README CHANGES COPYING
%{mingw32_bindir}/SDL_image.dll
%{mingw32_libdir}/libSDL_image.dll.a
%{mingw32_libdir}/pkgconfig/SDL_image.pc
%{mingw32_includedir}/SDL

# Win64
%files -n mingw64-SDL_image
%doc README CHANGES COPYING
%{mingw64_bindir}/SDL_image.dll
%{mingw64_libdir}/libSDL_image.dll.a
%{mingw64_libdir}/pkgconfig/SDL_image.pc
%{mingw64_includedir}/SDL


%changelog
* Wed Mar 14 2018 akien <akien> 1.2.12-13.1.mga6
  (not released yet)
+ Revision: 1209269
- Add openSUSE patch for CVE-2017-2887 (mga#22650)

* Thu Feb 04 2016 umeabot <umeabot> 1.2.12-13.mga6
+ Revision: 934426
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.12-12.mga5
+ Revision: 746500
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.12-11.mga5
+ Revision: 682402
- Mageia 5 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 1.2.12-10.mga4
+ Revision: 483400
- imported package mingw-SDL_image

